summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
Diffstat (limited to 'jjb')
-rwxr-xr-xjjb/container4nfv/arm64/compass-build.sh14
-rwxr-xr-xjjb/container4nfv/arm64/compass-deploy.sh13
-rw-r--r--jjb/container4nfv/container4nfv-arm64.yml52
-rwxr-xr-xjjb/functest/functest-alpine.sh2
-rw-r--r--jjb/pharos/check-jinja2.yml8
-rw-r--r--jjb/releng/automate.yml6
-rw-r--r--jjb/xci/xci-verify-jobs.yml8
7 files changed, 94 insertions, 9 deletions
diff --git a/jjb/container4nfv/arm64/compass-build.sh b/jjb/container4nfv/arm64/compass-build.sh
new file mode 100755
index 000000000..696f7ff76
--- /dev/null
+++ b/jjb/container4nfv/arm64/compass-build.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -e
+
+cd compass4nfv
+
+COMPASS_WORK_DIR=$WORKSPACE/../compass-work
+mkdir -p $COMPASS_WORK_DIR
+ln -s $COMPASS_WORK_DIR work
+
+#TODO: remove workaround after all arm64 patches merged
+curl -s http://people.linaro.org/~yibo.cai/compass/compass4nfv-arm64-fixup.sh | bash -s {scenario}
+
+# build tarball
+COMPASS_ISO_REPO='http://people.linaro.org/~yibo.cai/compass' ./build.sh
diff --git a/jjb/container4nfv/arm64/compass-deploy.sh b/jjb/container4nfv/arm64/compass-deploy.sh
new file mode 100755
index 000000000..3c599279e
--- /dev/null
+++ b/jjb/container4nfv/arm64/compass-deploy.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+set -e
+
+cd compass4nfv
+
+export ADAPTER_OS_PATTERN='(?i)CentOS-7.*arm.*'
+export OS_VERSION="centos7"
+export KUBERNETES_VERSION="v1.7.3"
+export DHA="deploy/conf/vm_environment/k8-nosdn-nofeature-noha.yml"
+export NETWORK="deploy/conf/vm_environment/network.yml"
+export VIRT_NUMBER=2 VIRT_CPUS=2 VIRT_MEM=4096 VIRT_DISK=50G
+
+./deploy.sh
diff --git a/jjb/container4nfv/container4nfv-arm64.yml b/jjb/container4nfv/container4nfv-arm64.yml
new file mode 100644
index 000000000..16a10eac1
--- /dev/null
+++ b/jjb/container4nfv/container4nfv-arm64.yml
@@ -0,0 +1,52 @@
+---
+
+- project:
+ name: 'container4nfv-arm64'
+ project: 'container4nfv'
+ installer: 'compass'
+ scenario:
+ - 'k8-multus-nofeature-noha':
+ disabled: false
+ - 'k8-sriov-nofeature-noha':
+ disabled: false
+ jobs:
+ - 'container4nfv-{scenario}-virtual-daily-master'
+
+
+- job-template:
+ name: 'container4nfv-{scenario}-virtual-daily-master'
+ disabled: '{obj:disabled}'
+ concurrent: false
+ node: arm-packet01
+
+ scm:
+ - git:
+ url: https://gerrit.opnfv.org/gerrit/compass4nfv
+ branches:
+ - origin/master
+ basedir: compass4nfv
+ wipe-workspace: true
+
+ triggers:
+ - 'trigger-{scenario}-virtual'
+
+ wrappers:
+ - timeout:
+ timeout: 120
+ fail: true
+
+ builders:
+ - shell:
+ !include-raw: arm64/compass-build.sh
+ - shell:
+ !include-raw: arm64/compass-deploy.sh
+
+
+- trigger:
+ name: 'trigger-k8-multus-nofeature-noha-virtual'
+ triggers:
+ - timed: '0 12 * * *'
+- trigger:
+ name: 'trigger-k8-sriov-nofeature-noha-virtual'
+ triggers:
+ - timed: '0 16 * * *'
diff --git a/jjb/functest/functest-alpine.sh b/jjb/functest/functest-alpine.sh
index 3ad531b85..0f4e80f24 100755
--- a/jjb/functest/functest-alpine.sh
+++ b/jjb/functest/functest-alpine.sh
@@ -110,7 +110,7 @@ elif [[ ${INSTALLER_TYPE} == 'compass' ]]; then
elif [[ ${INSTALLER_TYPE} == 'fuel' && ${DEPLOY_TYPE} == 'baremetal' ]]; then
cacert_file_vol="-v ${HOME}/os_cacert:/etc/ssl/certs/mcp_os_cacert"
fi
-rc_file_vol="-v ${rc_file}:${FUNCTEST_DIR}/conf/openstack.creds"
+rc_file_vol="-v ${rc_file}:${FUNCTEST_DIR}/conf/env_file"
# Set iptables rule to allow forwarding return traffic for container
diff --git a/jjb/pharos/check-jinja2.yml b/jjb/pharos/check-jinja2.yml
index 49a2ba539..7251d3f61 100644
--- a/jjb/pharos/check-jinja2.yml
+++ b/jjb/pharos/check-jinja2.yml
@@ -74,10 +74,10 @@
- compare-type: ANT
pattern: 'check-schema.sh'
skip-vote:
- successful: true
- failed: true
- unstable: true
- notbuilt: true
+ successful: false
+ failed: false
+ unstable: false
+ notbuilt: false
builders:
- check-pdf-jinja
diff --git a/jjb/releng/automate.yml b/jjb/releng/automate.yml
index afeb35821..6bd952a1d 100644
--- a/jjb/releng/automate.yml
+++ b/jjb/releng/automate.yml
@@ -46,6 +46,12 @@
builders:
- mongodb-backup
+ publishers:
+ - email:
+ recipients: serena.feng.711@gmail.com
+ notify-every-unstable-build: true
+ send-to-individuals: true
+
- job-template:
name: '{module}-verify-{stream}'
diff --git a/jjb/xci/xci-verify-jobs.yml b/jjb/xci/xci-verify-jobs.yml
index 3c314568f..28bc317bd 100644
--- a/jjb/xci/xci-verify-jobs.yml
+++ b/jjb/xci/xci-verify-jobs.yml
@@ -21,10 +21,10 @@
notbuilt: false
- centos:
disabled: false
- successful: true
- failed: true
- unstable: true
- notbuilt: true
+ successful: false
+ failed: false
+ unstable: false
+ notbuilt: false
- opensuse:
disabled: false
successful: false